# $Revision: 1.31 $, $Date: 2007/02/13 07:16:52 $
Summary:	A missile command clone
Summary(pl.UTF-8):	Klon missile command
Name:		penguin-command
Version:	1.6.10
Release:	1
License:	GPL v2
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/penguin-command/%{name}-%{version}.tar.gz
# Source0-md5:	84ac5c85ea7d832b94e2ac1d5b363a43
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.linux-games.com/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a clone of the classic "Missile Command" Game, but it has
better graphics and music. You have to defend cities by shooting at
missiles and smartbombs.

%description -l pl.UTF-8
To jest klon klasycznej gry "Missile Command", lecz ma lepszą grafikę
i muzykę. Musisz obronić miasta strzelając pociskami i bombami.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/%{name}
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: penguin-command.spec,v $
Revision 1.31  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.29  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.28  2005/12/23 17:37:33  darekr
- updated to 1.6.10

Revision 1.27  2005/04/23 19:23:53  darekr
- gpm-friendly Source0

Revision 1.26  2005/04/12 10:34:39  czucz
- updated to 1.6.9
- added BR
- proper license

Revision 1.25  2004/11/19 18:54:29  darekr
- updated to 1.6.8

Revision 1.24  2004/11/11 01:18:37  ankry
- rel. 4

Revision 1.23  2004/11/05 12:52:15  paladine
- rel 3 for fixed desktop file

Revision 1.22  2003/12/10 15:40:28  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.21  2003/06/12 07:40:31  qboosh
- simplified Source0 URL

Revision 1.20  2003/06/11 22:03:31  misi3k
- updated to 1.6.6
- upated Source0 URL

Revision 1.19  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.16  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.15  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.12  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/21 17:55:29  kloczek
- added regenerate ac/am files,
- fix %%{_mandir}.

Revision 1.8  2001/10/21 14:07:24  kloczek
- updated to 1.6.2.

Revision 1.7  2001/06/29 07:16:17  kloczek
- updated to 1.6.1.

Revision 1.6  2001/05/28 22:48:22  kloczek
- updated to 1.6.0,
- added man pages to %files list.

Revision 1.5  2001/05/13 00:52:39  kloczek
- release 2: rebuild against SDL_mixer 1.2.0.

Revision 1.4  2001/05/03 08:38:18  kloczek
- updated to 1.5.1.

Revision 1.3  2001/04/21 08:24:06  kloczek
- release 2: new icon.

Revision 1.2  2001/04/04 15:36:05  kloczek
- cosmetics.

Revision 1.1  2001/04/04 15:21:42  jajcus
A missile command clone
